<?php
#04/08/2023 |Leonardo A. |Archivo Migrado
header("Content-type: application/vnd.ms-excel");
header("Content-Disposition: attachment; filename=Informe_Conceptos_Homologacion.xls");
require_once("../Conexion/ConexionPDO.php");
session_start();
ini_set('max_execution_time', 0);
$anno = $_SESSION['anno'];
$con = new ConexionPDO();
$conexion = $_SESSION['conexion'];
$usuario     = $_SESSION['usuario'];
#***********************Datos Compañia***********************#
$compania = $_SESSION['compania'];
switch ($conexion) {
    case 1:
        $rowC = $con->Listar("SELECT 
            ter.id_unico,
            ter.razonsocial,
            UPPER(ti.nombre),
            IF(ter.digitoverficacion IS NULL OR ter.digitoverficacion='',
                ter.numeroidentificacion, 
                CONCAT(ter.numeroidentificacion, ' - ', ter.digitoverficacion)),
            dir.direccion,
            tel.valor,
            ter.ruta_logo 
        FROM            
            gf_tercero ter
        LEFT JOIN 	
            gf_tipo_identificacion ti ON ter.tipoidentificacion = ti.id_unico
        LEFT JOIN       
            gf_direccion dir ON dir.tercero = ter.id_unico
        LEFT JOIN 	
            gf_telefono  tel ON tel.tercero = ter.id_unico
        WHERE 
            ter.id_unico = $compania");
        break;

    case 2:
        $rowC = $con->Listar("SELECT 
       ter.id_unico,
       ter.razonsocial,
       UPPER(ti.nombre),
       CASE 
           WHEN ter.digitoverficacion IS NULL OR ter.digitoverficacion = '' 
               THEN ter.numeroidentificacion
           ELSE ter.numeroidentificacion || ' - ' || ter.digitoverficacion
       END AS identificacion,
       dir.direccion,
       tel.valor,
       ter.ruta_logo 
   FROM gf_tercero ter
   LEFT JOIN gf_tipo_identificacion ti ON ter.tipoidentificacion = ti.id_unico
   LEFT JOIN gf_direccion dir ON dir.tercero = ter.id_unico
   LEFT JOIN gf_telefono tel ON tel.tercero = ter.id_unico
          where  ter.id_unico = $compania");
        break;
}


$razonsocial = $rowC[0][1];
$nombreIdent = $rowC[0][2];
$numeroIdent = $rowC[0][3];
$direccinTer = $rowC[0][4];
$telefonoTer = $rowC[0][5];
$ruta_logo   = $rowC[0][6];




#* Consulta *¨#
switch ($conexion) {
    case 1:
        $emp = $con->Listar(" SELECT DISTINCT  
        cnf.id_unico, CONCAT(cn.codigo,' - ',LOWER(cn.descripcion)),
        LOWER(c.nombre),
        CONCAT( rp.codi_presupuesto,' ',LOWER(rp.nombre), ' - ', LOWER(f.nombre)),
        LOWER(gg.nombre),
        IF(CONCAT_WS(' ',
            tr.nombreuno,
            tr.nombredos,
            tr.apellidouno,
            tr.apellidodos) 
            IS NULL OR CONCAT_WS(' ',
            tr.nombreuno,
            tr.nombredos,
            tr.apellidouno,
            tr.apellidodos) = '',
            (tr.razonsocial),
            CONCAT_WS(' ',
            tr.nombreuno,
            tr.nombredos,
            tr.apellidouno,
            tr.apellidodos)) AS NOMBRE, 
            IF(tr.digitoverficacion IS NULL OR tr.digitoverficacion='',
                tr.numeroidentificacion, 
            CONCAT(tr.numeroidentificacion, ' - ', tr.digitoverficacion)), 
            tr.digitoverficacion, 
            cd.codi_cuenta, LOWER(cd.nombre), 
            cc.codi_cuenta, LOWER(cc.nombre)
        FROM gn_concepto_nomina_financiero cnf
        LEFT JOIN gn_concepto cn ON cnf.concepto_nomina = cn.id_unico
        LEFT JOIN gf_concepto_rubro cf ON cnf.concepto_financiero = cf.id_unico 
        LEFT JOIN gf_concepto_rubro_cuenta crc ON crc.concepto_rubro = cf.id_unico 
        LEFT JOIN gf_cuenta cd ON crc.cuenta_debito = cd.id_unico 
        LEFT JOIN gf_cuenta cc ON cc.id_unico = crc.cuenta_credito 
        LEFT JOIN gf_concepto c ON cf.concepto = c.id_unico
        LEFT JOIN gf_rubro_fuente rf ON rf.id_unico = cnf.rubro_fuente 
        LEFT JOIN gf_rubro_pptal rp ON cf.rubro = rp.id_unico
        LEFT JOIN gf_fuente f ON rf.fuente = f.id_unico
        LEFT JOIN gn_grupo_gestion gg ON cnf.grupo_gestion = gg.id_unico
        LEFT JOIN gf_tercero tr ON cnf.tercero = tr.id_unico 
        WHERE cnf.parametrizacionanno = $anno 
        ORDER BY cnf.grupo_gestion");
        break;

    case 2:
        $emp = $con->Listar("SELECT DISTINCT  
       cnf.id_unico,
       cn.codigo || ' - ' || LOWER(cn.descripcion) as descripcion,
       TO_CHAR(c.nombre) as nombre_c,
       rp.codi_presupuesto || ' ' || LOWER(rp.nombre) || ' - ' || LOWER(f.nombre) as presupuesto,
       LOWER(gg.nombre) as grupo_gestion,
       CASE 
           WHEN (tr.nombreuno || tr.nombredos || tr.apellidouno || tr.apellidodos) IS NULL 
               OR (tr.nombreuno || tr.nombredos || tr.apellidouno || tr.apellidodos) = '' 
           THEN tr.razonsocial
           ELSE tr.nombreuno || ' ' || tr.nombredos || ' ' || tr.apellidouno || ' ' || tr.apellidodos
       END AS NOMBRE, 
       CASE 
           WHEN tr.digitoverficacion IS NULL OR tr.digitoverficacion = '' 
           THEN tr.numeroidentificacion
           ELSE tr.numeroidentificacion || ' - ' || tr.digitoverficacion
       END AS identificacion, 
       tr.digitoverficacion, 
       cd.codi_cuenta,
       LOWER(cd.nombre) as nombre_debito, 
       cc.codi_cuenta,
       LOWER(cc.nombre) as nombre_credito,
       cnf.grupo_gestion 
   FROM gn_concepto_nomina_financiero cnf
   LEFT JOIN gn_concepto cn ON cnf.concepto_nomina = cn.id_unico
   LEFT JOIN gf_concepto_rubro cf ON cnf.concepto_financiero = cf.id_unico 
   LEFT JOIN gf_concepto_rubro_cuenta crc ON crc.concepto_rubro = cf.id_unico 
   LEFT JOIN gf_cuenta cd ON crc.cuenta_debito = cd.id_unico 
   LEFT JOIN gf_cuenta cc ON cc.id_unico = crc.cuenta_credito 
   LEFT JOIN gf_concepto c ON cf.concepto = c.id_unico
   LEFT JOIN gf_rubro_fuente rf ON rf.id_unico = cnf.rubro_fuente 
   LEFT JOIN gf_rubro_pptal rp ON cf.rubro = rp.id_unico
   LEFT JOIN gf_fuente f ON rf.fuente = f.id_unico
   LEFT JOIN gn_grupo_gestion gg ON cnf.grupo_gestion = gg.id_unico
   LEFT JOIN gf_tercero tr ON cnf.tercero = tr.id_unico
        WHERE cnf.parametrizacionanno = $anno 
        ORDER BY cnf.grupo_gestion");
        break;
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Informe Homologaciones Financiera Nómina</title>
</head>

<body>
    <table width="100%" border="1" cellspacing="0" cellpadding="0">
        <th colspan="7" align="center"><strong>
                <br />&nbsp;
                <br /><?php echo $razonsocial ?>
                <br /><?php echo $nombreIdent . ' : ' . $numeroIdent . "<br/>" . $direccinTer . ' Tel:' . $telefonoTer ?>
                <br />&nbsp;
                <br />HOMOLOGACIÓN FINANCIERA NÓMINA
                <br />&nbsp;
            </strong>
        </th>
        <tr></tr>
        <tr>
            <th>Grupo de Gestión</th>
            <th>Concepto Nómina</th>
            <th>Concepto Financiero</th>
            <th>Rubro Presupuestal</th>
            <th>Cuenta Débito</th>
            <th>Cuenta Crédito</th>
            <th>Tercero</th>
        </tr <tbody>
        <?php
        for ($i = 0; $i < count($emp); $i++) {
            echo '<tr>';
            echo '<td>' . ucwords($emp[$i][4]) . '</td>';
            echo '<td>' . ucwords($emp[$i][1]) . '</td>';
            echo '<td>' . ucwords($emp[$i][2]) . '</td>';
            echo '<td>' . ucwords($emp[$i][3]) . '</td>';
            echo '<td>' . $emp[$i][8] . ' - ' . ucwords($emp[$i][9]) . '</td>';
            echo '<td>' . $emp[$i][10] . ' - ' . ucwords($emp[$i][11]) . '</td>';
            echo '<td>' . ucwords(mb_strtolower($emp[$i][5])) . ' - ' . $emp[$i][6] . '</td>';
            echo '</tr>';
        } ?>
        </tbody>
    </table>
</body>

</html>